binary_op_nobroadcast__test:
  parameter_names_with_default_values:
    DTYPE: float
    OPERATOR: X + Y
  generate_variant_forall:
    DTYPE:
      - VALUE: "half"
        SUFFIX: "half"
      - VALUE: "float"
        SUFFIX: "float"
  shader_variants:
    - NAME: binary_add_nobroadcast__test
      OPERATOR: X + Y
    - NAME: binary_sub_nobroadcast__test
      OPERATOR: X - Y
    - NAME: binary_mul_nobroadcast__test
      OPERATOR: X * Y
    - NAME: binary_div_nobroadcast__test
      OPERATOR: X / Y
    - NAME: binary_pow_nobroadcast__test
      OPERATOR: pow(X, Y)

fill_texture__test:
  parameter_names_with_default_values:
    DTYPE: float
    NDIM: 3
  generate_variant_forall:
    DTYPE:
      - VALUE: "half"
        SUFFIX: "half"
      - VALUE: "float"
        SUFFIX: "float"
  shader_variants:
    - NAME: fill_texture__test

idx_fill_buffer:
  parameter_names_with_default_values:
    DTYPE: float
  generate_variant_forall:
    DTYPE:
      - VALUE: float
      - VALUE: half
      - VALUE: int8
  shader_variants:
    - NAME: idx_fill_buffer

idx_fill_texture:
  parameter_names_with_default_values:
    DTYPE: float
  generate_variant_forall:
    DTYPE:
      - VALUE: half
      - VALUE: float
      - VALUE: int
      - VALUE: int8
  shader_variants:
    - NAME: idx_fill_texture

scalar_add_buffer:
  parameter_names_with_default_values:
    DTYPE: float
  generate_variant_forall:
    DTYPE:
      - VALUE: float
      - VALUE: half
      - VALUE: int8
  shader_variants:
    - NAME: scalar_add_buffer
